diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
index 75ec99e13f14742946fe8f54ea3d88b3a475a636..23793b3f92b2b1706df8fafc8bbe0b6f9cc3d8d6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
@@ -206,9 +206,10 @@ public class CRSEnrollment extends HttpServlet {
     public CRSEnrollment() {
     }
 
-    public static Hashtable toHashtable(HttpServletRequest req) {
-        Hashtable httpReqHash = new Hashtable();
-        Enumeration names = req.getParameterNames();
+    public static Hashtable<String, String> toHashtable(HttpServletRequest req) {
+        Hashtable<String, String> httpReqHash = new Hashtable<String, String>();
+        @SuppressWarnings("unchecked")
+        Enumeration<String> names = req.getParameterNames();
         while (names.hasMoreElements()) {
             String name = (String) names.nextElement();
             httpReqHash.put(name, req.getParameter(name));
@@ -416,7 +417,7 @@ public class CRSEnrollment extends HttpServlet {
             HttpServletRequest request) throws EBaseException {
 
         // build credential
-        Enumeration authNames = authenticator.getValueNames();
+        Enumeration<String> authNames = authenticator.getValueNames();
 
         if (authNames != null) {
             while (authNames.hasMoreElements()) {
@@ -536,7 +537,7 @@ public class CRSEnrollment extends HttpServlet {
 
     public String getPasswordFromP10(PKCS10 p10) {
         PKCS10Attributes p10atts = p10.getAttributes();
-        Enumeration e = p10atts.getElements();
+        Enumeration<PKCS10Attribute> e = p10atts.getElements();
 
         try {
             while (e.hasMoreElements()) {
@@ -688,7 +689,7 @@ public class CRSEnrollment extends HttpServlet {
 
             String pkcs10Attr = "";
             PKCS10Attributes p10atts = p10.getAttributes();
-            Enumeration e = p10atts.getElements();
+            Enumeration<PKCS10Attribute> e = p10atts.getElements();
 
             while (e.hasMoreElements()) {
                 PKCS10Attribute p10a = (PKCS10Attribute) e.nextElement();
@@ -696,18 +697,21 @@ public class CRSEnrollment extends HttpServlet {
 
                 if (attr.getName().equals(ChallengePassword.NAME)) {
                     if (attr.get(ChallengePassword.PASSWORD) != null) {
-                        pkcs10Attr = pkcs10Attr +
+                        pkcs10Attr =
+                                pkcs10Attr
+                                        +
                                          "<ChallengePassword><Password>"
-                                + (String) attr.get(ChallengePassword.PASSWORD) + "</Password></ChallengePassword>";
+                                        + (String) attr.get(ChallengePassword.PASSWORD)
+                                        + "</Password></ChallengePassword>";
                     }
 
                 }
                 String extensionsStr = "";
                 if (attr.getName().equals(ExtensionsRequested.NAME)) {
 
-                    Enumeration exts = ((ExtensionsRequested) attr).getExtensions().elements();
+                    Enumeration<Extension> exts = ((ExtensionsRequested) attr).getExtensions().elements();
                     while (exts.hasMoreElements()) {
-                        Extension ext = (Extension) exts.nextElement();
+                        Extension ext = exts.nextElement();
 
                         if (ext.getExtensionId().equals(
                                 OIDMap.getOID(SubjectAlternativeNameExtension.IDENT))) {
@@ -716,14 +720,16 @@ public class CRSEnrollment extends HttpServlet {
                                     Boolean.valueOf(false), // noncritical
                                     ext.getExtensionValue());
 
-                            Vector v =
-                                    (Vector) sane.get(SubjectAlternativeNameExtension.SUBJECT_NAME);
+                            @SuppressWarnings("unchecked")
+                            Vector<GeneralNameInterface> v =
+                                    (Vector<GeneralNameInterface>) sane
+                                            .get(SubjectAlternativeNameExtension.SUBJECT_NAME);
 
-                            Enumeration gne = v.elements();
+                            Enumeration<GeneralNameInterface> gne = v.elements();
 
                             StringBuffer subjAltNameStr = new StringBuffer();
                             while (gne.hasMoreElements()) {
-                                GeneralNameInterface gni = (GeneralNameInterface) gne.nextElement();
+                                GeneralNameInterface gni = gne.nextElement();
                                 if (gni instanceof GeneralName) {
                                     GeneralName genName = (GeneralName) gni;
 
@@ -974,14 +980,14 @@ public class CRSEnrollment extends HttpServlet {
         IRequestQueue rq = ca.getRequestQueue();
         IRequest foundRequest = null;
 
-        Enumeration rids = rq.findRequestsBySourceId(txid);
+        Enumeration<RequestId> rids = rq.findRequestsBySourceId(txid);
         if (rids == null) {
             return null;
         }
 
         int count = 0;
         while (rids.hasMoreElements()) {
-            RequestId rid = (RequestId) rids.nextElement();
+            RequestId rid = rids.nextElement();
             if (rid == null) {
                 continue;
             }
@@ -1151,12 +1157,11 @@ public class CRSEnrollment extends HttpServlet {
 
         IRequest issueReq = null;
         X509CertImpl issuedCert = null;
-        Vector extensionsRequested = null;
         SubjectAlternativeNameExtension sane = null;
         CertAttrSet requested_ext = null;
 
         try {
-            PKCS10 p10 = (PKCS10) req.getP10();
+            PKCS10 p10 = req.getP10();
 
             if (p10 == null) {
                 crsResp.setFailInfo(CRSPKIMessage.mFailInfo_badMessageCheck);
@@ -1185,10 +1190,10 @@ public class CRSEnrollment extends HttpServlet {
             //   one RDN, with many AVA's    to
             //   many RDN's with one AVA in each.
 
-            Enumeration rdne = p10subject.getRDNs();
-            Vector rdnv = new Vector();
+            Enumeration<RDN> rdne = p10subject.getRDNs();
+            Vector<RDN> rdnv = new Vector<RDN>();
 
-            Hashtable sanehash = new Hashtable();
+            Hashtable<String, String> sanehash = new Hashtable<String, String>();
 
             X500NameAttrMap xnap = X500NameAttrMap.getDefault();
             while (rdne.hasMoreElements()) {
@@ -1228,7 +1233,7 @@ public class CRSEnrollment extends HttpServlet {
             kue.set(KeyUsageExtension.KEY_ENCIPHERMENT, Boolean.valueOf(true));
 
             PKCS10Attributes p10atts = p10.getAttributes();
-            Enumeration e = p10atts.getElements();
+            Enumeration<PKCS10Attribute> e = p10atts.getElements();
 
             while (e.hasMoreElements()) {
                 PKCS10Attribute p10a = (PKCS10Attribute) e.nextElement();
@@ -1246,9 +1251,9 @@ public class CRSEnrollment extends HttpServlet {
 
                 if (attr.getName().equals(ExtensionsRequested.NAME)) {
 
-                    Enumeration exts = ((ExtensionsRequested) attr).getExtensions().elements();
+                    Enumeration<Extension> exts = ((ExtensionsRequested) attr).getExtensions().elements();
                     while (exts.hasMoreElements()) {
-                        Extension ext = (Extension) exts.nextElement();
+                        Extension ext = exts.nextElement();
 
                         if (ext.getExtensionId().equals(
                                 OIDMap.getOID(KeyUsageExtension.IDENT))) {
@@ -1265,10 +1270,12 @@ public class CRSEnrollment extends HttpServlet {
                                     new Boolean(false), // noncritical
                                     ext.getExtensionValue());
 
-                            Vector v =
-                                    (Vector) sane.get(SubjectAlternativeNameExtension.SUBJECT_NAME);
+                            @SuppressWarnings("unchecked")
+                            Vector<GeneralNameInterface> v =
+                                    (Vector<GeneralNameInterface>) sane
+                                            .get(SubjectAlternativeNameExtension.SUBJECT_NAME);
 
-                            Enumeration gne = v.elements();
+                            Enumeration<GeneralNameInterface> gne = v.elements();
 
                             while (gne.hasMoreElements()) {
                                 GeneralNameInterface gni = (GeneralNameInterface) gne.nextElement();
@@ -1308,8 +1315,8 @@ public class CRSEnrollment extends HttpServlet {
 
             } catch (Exception sne) {
                 log(ILogger.LL_INFO,
-                        "Unable to use appendDN parameter: " + mAppendDN + ". Error is " + sne.getMessage()
-                                + " Using unmodified subjectname");
+                        "Unable to use appendDN parameter: "
+                                + mAppendDN + ". Error is " + sne.getMessage() + " Using unmodified subjectname");
             }
 
             if (subject != null)
@@ -1350,7 +1357,7 @@ public class CRSEnrollment extends HttpServlet {
         } // NEED TO FIX
     }
 
-    private SubjectAlternativeNameExtension makeDefaultSubjectAltName(Hashtable ht) {
+    private SubjectAlternativeNameExtension makeDefaultSubjectAltName(Hashtable<String, String> ht) {
 
         // if no subjectaltname extension was requested, we try to make it up
         // from some of the elements of the subject name
@@ -1359,7 +1366,7 @@ public class CRSEnrollment extends HttpServlet {
         GeneralNameInterface[] gn = new GeneralNameInterface[ht.size()];
 
         itemCount = 0;
-        Enumeration en = ht.keys();
+        Enumeration<String> en = ht.keys();
         while (en.hasMoreElements()) {
             String key = (String) en.nextElement();
             if (key.equals(SANE_DNSNAME)) {
@@ -1445,15 +1452,15 @@ public class CRSEnrollment extends HttpServlet {
         return authenticationFailed;
     }
 
-    private boolean areFingerprintsEqual(IRequest req, Hashtable fingerprints) {
+    private boolean areFingerprintsEqual(IRequest req, Hashtable<String, byte[]> fingerprints) {
 
-        Hashtable old_fprints = req.getExtDataInHashtable(IRequest.FINGERPRINTS);
+        Hashtable<String, String> old_fprints = req.getExtDataInHashtable(IRequest.FINGERPRINTS);
         if (old_fprints == null) {
             return false;
         }
 
-        byte[] old_md5 = CMS.AtoB((String) old_fprints.get("MD5"));
-        byte[] new_md5 = (byte[]) fingerprints.get("MD5");
+        byte[] old_md5 = CMS.AtoB(old_fprints.get("MD5"));
+        byte[] new_md5 = fingerprints.get("MD5");
 
         if (old_md5.length != new_md5.length)
             return false;
@@ -1474,7 +1481,7 @@ public class CRSEnrollment extends HttpServlet {
 
         try {
             unwrapPKCS10(req, cx);
-            Hashtable fingerprints = makeFingerPrints(req);
+            Hashtable<String, byte[]> fingerprints = makeFingerPrints(req);
 
             if (cmsRequest != null) {
                 if (areFingerprintsEqual(cmsRequest, fingerprints)) {
@@ -1562,7 +1569,7 @@ public class CRSEnrollment extends HttpServlet {
 
         // use profile framework to handle SCEP
         if (mProfileId != null) {
-            PKCS10 pkcs10data = (PKCS10) req.getP10();
+            PKCS10 pkcs10data = req.getP10();
             String pkcs10blob = CMS.BtoA(pkcs10data.toByteArray());
 
             // XXX authentication handling
@@ -1673,10 +1680,10 @@ public class CRSEnrollment extends HttpServlet {
         } catch (Exception pwex) {
         }
 
-        Hashtable fingerprints = (Hashtable) req.get(IRequest.FINGERPRINTS);
+        Hashtable<?, ?> fingerprints = (Hashtable<?, ?>) req.get(IRequest.FINGERPRINTS);
         if (fingerprints.size() > 0) {
-            Hashtable encodedPrints = new Hashtable(fingerprints.size());
-            Enumeration e = fingerprints.keys();
+            Hashtable<String, String> encodedPrints = new Hashtable<String, String>(fingerprints.size());
+            Enumeration<?> e = fingerprints.keys();
             while (e.hasMoreElements()) {
                 String key = (String) e.nextElement();
                 byte[] value = (byte[]) fingerprints.get(key);
@@ -1706,8 +1713,8 @@ public class CRSEnrollment extends HttpServlet {
         return pkiReq;
     }
 
-    public Hashtable makeFingerPrints(CRSPKIMessage req) {
-        Hashtable fingerprints = new Hashtable();
+    public Hashtable<String, byte[]> makeFingerPrints(CRSPKIMessage req) {
+        Hashtable<String, byte[]> fingerprints = new Hashtable<String, byte[]>();
 
         MessageDigest md;
         String[] hashes = new String[] { "MD2", "MD5", "SHA1", "SHA256", "SHA512" };
@@ -1936,7 +1943,7 @@ public class CRSEnrollment extends HttpServlet {
         private CryptoToken keyStorageToken;
         private CryptoToken internalKeyStorageToken;
         private KeyGenerator DESkg;
-        private Enumeration externalTokens = null;
+        private Enumeration<?> externalTokens = null;
         private org.mozilla.jss.crypto.X509Certificate signingCert;
         private org.mozilla.jss.crypto.PrivateKey signingCertPrivKey;
         private int signingCertKeySize = 0;
@@ -2033,11 +2040,11 @@ public class CRSEnrollment extends HttpServlet {
             return internalToken;
         }
 
-        public void setExternalTokens(Enumeration tokens) {
+        public void setExternalTokens(Enumeration<?> tokens) {
             externalTokens = tokens;
         }
 
-        public Enumeration getExternalTokens() {
+        public Enumeration<?> getExternalTokens() {
             return externalTokens;
         }
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ChallengePassword.java b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ChallengePassword.java
index 8a3ddb5d9dc5766da5d3dbcec5603fba4704ad21..ff55dc9ce6c9252ba82305c6bc8071ff30a6aa58 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ChallengePassword.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ChallengePassword.java
@@ -23,7 +23,7 @@ import java.io.InputStream;
 import java.io.OutputStream;
 import java.security.cert.CertificateException;
 import java.util.Enumeration;
-import java.util.Hashtable;
+import java.util.Vector;
 
 import netscape.security.util.DerValue;
 import netscape.security.x509.CertAttrSet;
@@ -127,8 +127,8 @@ public class ChallengePassword implements CertAttrSet {
     /**
      * @return an empty set of elements
      */
-    public Enumeration getElements() {
-        return (new Hashtable()).elements();
+    public Enumeration<String> getAttributeNames() {
+        return (new Vector<String>()).elements();
     }
 
     /**
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ExtensionsRequested.java b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ExtensionsRequested.java
index 33c28447f1aa42d1684f437f91186bb76cae23be..b3a0f56516c14ffbd97cf84a95aa8913643945d8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ExtensionsRequested.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ExtensionsRequested.java
@@ -23,7 +23,6 @@ import java.io.InputStream;
 import java.io.OutputStream;
 import java.security.cert.CertificateException;
 import java.util.Enumeration;
-import java.util.Hashtable;
 import java.util.Vector;
 
 import netscape.security.util.DerInputStream;
@@ -41,7 +40,7 @@ public class ExtensionsRequested implements CertAttrSet {
     private String kue_digital_signature = "false";
     private String kue_key_encipherment = "false";
 
-    private Vector exts = new Vector();
+    private Vector<Extension> exts = new Vector<Extension>();
 
     public ExtensionsRequested(Object stuff) throws IOException {
         ByteArrayInputStream is = new ByteArrayInputStream((byte[]) stuff);
@@ -85,8 +84,8 @@ public class ExtensionsRequested implements CertAttrSet {
             throws CertificateException, IOException {
     }
 
-    public Enumeration getElements() {
-        return (new Hashtable()).elements();
+    public Enumeration<String> getAttributeNames() {
+        return (new Vector<String>()).elements();
     }
 
     public String getName() {
@@ -171,7 +170,7 @@ public class ExtensionsRequested implements CertAttrSet {
 
     }
 
-    public Vector getExtensions() {
+    public Vector<Extension> getExtensions() {
         return exts;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java b/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
index 25f0626574a243724845a737c407d3e6da18f9c9..aa95b622d9114bb42fa6b17648c55132d6f3ec9e 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
@@ -778,12 +778,14 @@ public class CMCOutputTemplate {
                                 SignedData msgData =
                                         (SignedData) msgValue.decodeWith(SignedData.getTemplate());
                                 if (!verifyRevRequestSignature(msgData)) {
-                                    OtherInfo otherInfo = new OtherInfo(OtherInfo.FAIL, new INTEGER(
-                                            OtherInfo.BAD_MESSAGE_CHECK), null);
+                                    OtherInfo otherInfo =
+                                            new OtherInfo(OtherInfo.FAIL, new INTEGER(OtherInfo.BAD_MESSAGE_CHECK),
+                                                    null);
                                     SEQUENCE failed_bpids = new SEQUENCE();
                                     failed_bpids.addElement(attrbpid);
-                                    cmcStatusInfo = new CMCStatusInfo(CMCStatusInfo.FAILED, failed_bpids,
-                                            (String) null, otherInfo);
+                                    cmcStatusInfo =
+                                            new CMCStatusInfo(CMCStatusInfo.FAILED, failed_bpids, (String) null,
+                                                    otherInfo);
                                     tagattr = new TaggedAttribute(
                                             new INTEGER(bpid++),
                                             OBJECT_IDENTIFIER.id_cmc_cMCStatusInfo, cmcStatusInfo);
@@ -825,8 +827,8 @@ public class CMCOutputTemplate {
 
                     if (!sharedSecretFound) {
                         CMS.debug("CMCOutputTemplate: class for shared secret was not found.");
-                        OtherInfo otherInfo = new OtherInfo(OtherInfo.FAIL, new INTEGER(OtherInfo.INTERNAL_CA_ERROR),
-                                null);
+                        OtherInfo otherInfo =
+                                new OtherInfo(OtherInfo.FAIL, new INTEGER(OtherInfo.INTERNAL_CA_ERROR), null);
                         SEQUENCE failed_bpids = new SEQUENCE();
                         failed_bpids.addElement(attrbpid);
                         cmcStatusInfo = new CMCStatusInfo(CMCStatusInfo.FAILED, failed_bpids, (String) null, otherInfo);
@@ -845,8 +847,8 @@ public class CMCOutputTemplate {
 
                     if (sharedSecret == null) {
                         CMS.debug("CMCOutputTemplate: class for shared secret was not found.");
-                        OtherInfo otherInfo = new OtherInfo(OtherInfo.FAIL, new INTEGER(OtherInfo.INTERNAL_CA_ERROR),
-                                null);
+                        OtherInfo otherInfo =
+                                new OtherInfo(OtherInfo.FAIL, new INTEGER(OtherInfo.INTERNAL_CA_ERROR), null);
                         SEQUENCE failed_bpids = new SEQUENCE();
                         failed_bpids.addElement(attrbpid);
                         cmcStatusInfo = new CMCStatusInfo(CMCStatusInfo.FAILED, failed_bpids, (String) null, otherInfo);
@@ -864,8 +866,8 @@ public class CMCOutputTemplate {
                         revoke = true;
                     } else {
                         CMS.debug("CMCOutputTemplate: Both client and server shared secret are not the same, cant revoke certificate.");
-                        OtherInfo otherInfo = new OtherInfo(OtherInfo.FAIL, new INTEGER(OtherInfo.BAD_MESSAGE_CHECK),
-                                null);
+                        OtherInfo otherInfo =
+                                new OtherInfo(OtherInfo.FAIL, new INTEGER(OtherInfo.BAD_MESSAGE_CHECK), null);
                         SEQUENCE failed_bpids = new SEQUENCE();
                         failed_bpids.addElement(attrbpid);
                         cmcStatusInfo = new CMCStatusInfo(CMCStatusInfo.FAILED, failed_bpids, (String) null, otherInfo);
@@ -929,8 +931,8 @@ public class CMCOutputTemplate {
                         entryExtn.set(crlReasonExtn.getName(), crlReasonExtn);
                     }
 
-                    RevokedCertImpl revCertImpl = new RevokedCertImpl(impl.getSerialNumber(), CMS.getCurrentDate(),
-                            entryExtn);
+                    RevokedCertImpl revCertImpl =
+                            new RevokedCertImpl(impl.getSerialNumber(), CMS.getCurrentDate(), entryExtn);
                     RevokedCertImpl[] revCertImpls = new RevokedCertImpl[1];
                     revCertImpls[0] = revCertImpl;
                     IRequestQueue queue = ca.getRequestQueue();
@@ -950,12 +952,12 @@ public class CMCOutputTemplate {
                         if (result.equals(IRequest.RES_ERROR)) {
                             CMS.debug("CMCOutputTemplate: revReq exception: " +
                                     revReq.getExtDataInString(IRequest.ERROR));
-                            OtherInfo otherInfo = new OtherInfo(OtherInfo.FAIL, new INTEGER(OtherInfo.BAD_REQUEST),
-                                    null);
+                            OtherInfo otherInfo =
+                                    new OtherInfo(OtherInfo.FAIL, new INTEGER(OtherInfo.BAD_REQUEST), null);
                             SEQUENCE failed_bpids = new SEQUENCE();
                             failed_bpids.addElement(attrbpid);
-                            cmcStatusInfo = new CMCStatusInfo(CMCStatusInfo.FAILED, failed_bpids, (String) null,
-                                    otherInfo);
+                            cmcStatusInfo =
+                                    new CMCStatusInfo(CMCStatusInfo.FAILED, failed_bpids, (String) null, otherInfo);
                             tagattr = new TaggedAttribute(
                                     new INTEGER(bpid++),
                                     OBJECT_IDENTIFIER.id_cmc_cMCStatusInfo, cmcStatusInfo);
@@ -1039,7 +1041,7 @@ public class CMCOutputTemplate {
 
             SET dias = msgData.getDigestAlgorithmIdentifiers();
             int numDig = dias.size();
-            Hashtable digs = new Hashtable();
+            Hashtable<String, byte[]> digs = new Hashtable<String, byte[]>();
             for (int i = 0; i < numDig; i++) {
                 AlgorithmIdentifier dai =
                         (AlgorithmIdentifier) dias.elementAt(i);
@@ -1057,7 +1059,7 @@ public class CMCOutputTemplate {
                 org.mozilla.jss.pkix.cms.SignerInfo si =
                         (org.mozilla.jss.pkix.cms.SignerInfo) sis.elementAt(i);
                 String name = si.getDigestAlgorithm().toString();
-                byte[] digest = (byte[]) digs.get(name);
+                byte[] digest = digs.get(name);
                 if (digest == null) {
                     MessageDigest md = MessageDigest.getInstance(name);
                     ByteArrayOutputStream ostream = new ByteArrayOutputStream();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java b/pki/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
index ca7759d5af175355f016991dc91fb1a556c6f04b..b2c43b3f7cdc6414ab9b1c57a2b605640a437ebc 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
@@ -833,10 +833,10 @@ public class ConnectorServlet extends CMSServlet {
                         int reason = 0;
 
                         if (crlExts != null) {
-                            Enumeration enum1 = crlExts.getElements();
+                            Enumeration<Extension> enum1 = crlExts.getElements();
 
                             while (enum1.hasMoreElements()) {
-                                Extension ext = (Extension) enum1.nextElement();
+                                Extension ext = enum1.nextElement();
 
                                 if (ext instanceof CRLReasonExtension) {
                                     reason = ((CRLReasonExtension) ext).getReason().toInt();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
index 16c5e6c65b3a08fdf94e79bf6cfde00656fcb671..8c84f4a218c4e543cd9ba5a144975f8965da11dd 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
@@ -249,12 +249,13 @@ public class AdminAuthenticatePanel extends WizardPanelBase {
                 c1.append(",preop.ca.hostname,preop.ca.httpport,preop.ca.httpsport,preop.ca.list,preop.ca.pkcs7,preop.ca.type");
             }
 
-            String content = "uid="
-                    + uid
-                    + "&pwd="
-                    + pwd
-                    + "&op=get&names=cloning.module.token,instanceId,internaldb.basedn,internaldb.ldapauth.password,internaldb.replication.password,internaldb.ldapconn.host,internaldb.ldapconn.port,internaldb.ldapauth.bindDN"
-                    + c1.toString() + "&substores=" + s1.toString();
+            String content =
+                    "uid="
+                            + uid
+                            + "&pwd="
+                            + pwd
+                            + "&op=get&names=cloning.module.token,instanceId,internaldb.basedn,internaldb.ldapauth.password,internaldb.replication.password,internaldb.ldapconn.host,internaldb.ldapconn.port,internaldb.ldapauth.bindDN"
+                            + c1.toString() + "&substores=" + s1.toString();
 
             boolean success = updateConfigEntries(host, httpsport, true,
                     "/" + cstype + "/admin/" + cstype + "/getConfigEntries", content, config,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java
index d8d841e39083a26eb0f93f135d0b4f7b396c72e2..223801d8f7a75095a037717ee2d6a7a1e46e409a 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java
@@ -481,8 +481,10 @@ public class AdminPanel extends WizardPanelBase {
         String session_id = CMS.getConfigSDSessionId();
         String subjectDN = HttpInput.getString(request, "subject");
 
-        String content = "profileId=" + profileId + "&cert_request_type=" + cert_request_type + "&cert_request="
-                + cert_request + "&xmlOutput=true&sessionID=" + session_id + "&subject=" + subjectDN;
+        String content =
+                "profileId="
+                        + profileId + "&cert_request_type=" + cert_request_type + "&cert_request=" + cert_request
+                        + "&xmlOutput=true&sessionID=" + session_id + "&subject=" + subjectDN;
 
         HttpClient httpclient = new HttpClient();
         String c = null;
@@ -651,7 +653,8 @@ public class AdminPanel extends WizardPanelBase {
         } catch (Exception e) {
         }
         if (ca == null && type.equals("otherca")) {
-            info = "Since you do not join the Redhat CA network, the administrator's certificate will not be generated automatically.";
+            info =
+                    "Since you do not join the Redhat CA network, the administrator's certificate will not be generated automatically.";
         }
         context.put("info", info);
         context.put("admin_email", request.getParameter("email"));
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
index f73e44c18afec5f3aae5d577677866663712b883..c81c666e6f37c096bc1df8c072d5f575c4734a44 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
@@ -128,8 +128,8 @@ public class CertRequestPanel extends WizardPanelBase {
                 if (hardware) {
                     CMS.debug("CertRequestPanel findCertificate: The certificate with the same nickname: "
                             + fullnickname + " has been found on HSM. Please remove it before proceeding.");
-                    throw new IOException("The certificate with the same nickname: " + fullnickname
-                            + " has been found on HSM. Please remove it before proceeding.");
+                    throw new IOException("The certificate with the same nickname: "
+                            + fullnickname + " has been found on HSM. Please remove it before proceeding.");
                 }
                 return true;
             }
@@ -212,8 +212,8 @@ public class CertRequestPanel extends WizardPanelBase {
                     CMS.debug("CertRequestPanel cleanup: deleting certificate (" + nickname + ").");
                     deleteCert(tokenname, nickname);
                 } catch (Exception e) {
-                    CMS.debug("CertRequestPanel cleanup: failed to delete certificate (" + nickname + "). Exception: "
-                            + e.toString());
+                    CMS.debug("CertRequestPanel cleanup: failed to delete certificate ("
+                            + nickname + "). Exception: " + e.toString());
                 }
             }
         }
@@ -735,8 +735,8 @@ public class CertRequestPanel extends WizardPanelBase {
                     ic.setSSLTrust(InternalCertificate.USER);
                     ic.setEmailTrust(InternalCertificate.USER);
                     if (tag.equals("audit_signing")) {
-                        ic.setObjectSigningTrust(InternalCertificate.USER | InternalCertificate.VALID_PEER
-                                | InternalCertificate.TRUSTED_PEER);
+                        ic.setObjectSigningTrust(InternalCertificate.USER
+                                | InternalCertificate.VALID_PEER | InternalCertificate.TRUSTED_PEER);
                     } else {
                         ic.setObjectSigningTrust(InternalCertificate.USER);
                     }
